package plant

import "sundynix-go/global"

// AiChatHistory AI问答历史记录
type AiChatHistory struct {
	global.BaseModel
	UserId   string `json:"userId" gorm:"size:50;index;comment:用户ID"`
	Question string `json:"question" gorm:"type:text;comment:用户提问"`
	Answer   string `json:"answer" gorm:"type:longtext;comment:AI回答"`
}

func (AiChatHistory) TableName() string {
	return "sundynix_ai_chat_history"
}
